/*	tuplegen.h
*/

extern int binop(int op, int arg0, int arg1, typ t);

extern int immed32s(p32_t t);
#define immed32(t)	immed32u(t)
extern int immed32u(p32_t t);

extern int immed64s(p64_t t);
#define immed64(t)	immed64u(t)
extern int immed64u(p64_t t);

#define immed128s(t)    immed128(t)
#define immed128u(t)    immed128(t)
extern int immed128(p128_t t);

static int samefragtyp(typ t0, typ t1);

extern int unop(int op, int arg, typ t);

extern int loadop(sym *s, int o); 
extern int loadpadop(sym *s, int o);
extern void storeop(int a, sym *s, int o);

extern void deadscope(int serial);

extern int spread(int i, int bits);
extern void pack(int sb, int *sr, int db, int *dr, int sw);
extern void unpack(int sb, int *sr, int db, int *dr, int dw, int attr);

